package com.ruoyi.project.process.service;

import java.lang.reflect.InvocationTargetException;
import java.util.List;

import com.ruoyi.project.process.controller.vo.DelayVO;
import com.ruoyi.project.process.domain.TMoc;

/**
 * MOC管理Service接口
 * 
 * @author ruoyi
 * @date 2020-12-07
 */
public interface ITMocService 
{
    /**
     * 查询MOC管理
     * 
     * @param id MOC管理ID
     * @return MOC管理
     */
    public TMoc selectTMocById(Long id);

    /**
     * 查询MOC管理列表
     * 
     * @param tMoc MOC管理
     * @return MOC管理集合
     */
    public List<TMoc> selectTMocList(TMoc tMoc);

    /**
     * 新增MOC管理
     * 
     * @param tMoc MOC管理
     * @return 结果
     */
    public int insertTMoc(TMoc tMoc);

    /**
     * 修改MOC管理
     *
     * @param tMoc MOC管理
     * @return 结果
     */
    public int updateTMoc(TMoc tMoc);

    /**
     * 延期操作
     *
     * @param delayVO 前台请求数据传输对象
     * @return 结果
     */
    public int delay(DelayVO delayVO);

    /**
     * 批量删除MOC管理
     * 
     * @param ids 需要删除的MOC管理ID
     * @return 结果
     */
    public int deleteTMocByIds(Long[] ids);

    /**
     * 删除MOC管理信息
     * 
     * @param id MOC管理ID
     * @return 结果
     */
    public int deleteTMocById(Long id);
}
